ruby-on-rails – Snow Leopard,sqlite3-ruby

发布时间:2020-08-01 发布网站:脚本之家
脚本之家收集整理的这篇文章主要介绍了ruby-on-rails – Snow Leopard,sqlite3-ruby脚本之家小编觉得挺不错的,现在分享给大家,也给大家做个参考。
所以我在 this thread中遵循了每一个建议

没有成功.我正在运行os x 10.6,rails 2.3.3,ruby 1.9.1,当我尝试访问我的rails应用程序的首页时仍然出现此错误:

未初始化的常量SQLite3 :: Driver :: Native :: Driver :: API

我用Google搜索了所有可能的雪豹,铁轨,sqlite3组合,没有任何运气.希望有人可以提供帮助.谢谢!

解决方法

我终于通过重新编译ruby 1.9.1并使用相应的sqlite3库链接来解决这个问题.所以在我的情况下,我需要创建此链接:

sudo ln -s  /Developer/SDKs/MacOSX10.6.sdk/usr/lib/libsqlite3.0.dylib /usr/local/lib/libsqlite3.dylib

总结

以上是脚本之家为你收集整理的ruby-on-rails – Snow Leopard,sqlite3-ruby全部内容,希望文章能够帮你解决ruby-on-rails – Snow Leopard,sqlite3-ruby所遇到的程序开发问题。

如果觉得脚本之家网站内容还不错,欢迎将脚本之家网站推荐给程序员好友。

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
如您喜欢交流学习经验,点击链接加入脚本之家官方QQ群:1065694478
脚本之家官方公众号

微信公众号搜索 “ 程序精选 ” ,选择关注!

微信公众号搜索 “ 程序精选 ”
精选程序员所需精品干货内容!